
Foreman - Bug #6303

Hosts display wrong vmware networks

06/20/2014 07:33 AM - Alexandre Barth

Status: New   

Priority: Normal   

Assignee: Chris Roberts   

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.5.1

Bugzilla link: 1273400 Red Hat JIRA:  

Pull request:    

Description

When you edit a host deployed in vmware compute resource, all network interfaces display the same wrong network.

Related issues:

Has duplicate Foreman - Bug #6485: VMware host edit page shows wrong Cluster ... Duplicate 07/03/2014

Has duplicate Foreman - Bug #10094: Wrong VMware interface informations when ... Duplicate 04/08/2015

Has duplicate Foreman - Bug #11641: Edit host form shows incorrect networks f... Duplicate 09/01/2015

Has duplicate Foreman - Bug #12653: network interfaces does not get updated f... Duplicate 12/01/2015

History

#1 - 06/20/2014 07:51 AM - Dominic Cleal

- Category set to Compute resources

#2 - 07/07/2014 04:17 AM - Dominic Cleal

- Has duplicate Bug #6485: VMware host edit page shows wrong Cluster and Network added

#3 - 07/07/2014 04:18 AM - Dominic Cleal

See linked bug too for an issue with displaying the cluster.

#4 - 09/19/2014 11:20 AM - Dominic Cleal

- Category changed from Compute resources to Compute resources - VMware

#5 - 11/13/2014 07:30 AM - Dominic Cleal

- Bugzilla link set to 1163376

#6 - 02/11/2015 04:54 AM - Alexandre Barth

Problem still remains using foreman 1.7.2 : in the vm tab, for each interface, displayed network is always the first from the list.

#7 - 04/08/2015 10:31 AM - Dominic Cleal

- Has duplicate Bug #10094: Wrong VMware interface informations when attaching existing vm to foreman added

#8 - 09/02/2015 04:36 AM - Dominic Cleal

- Has duplicate Bug #11641: Edit host form shows incorrect networks for NICS on vmWare added

#9 - 12/02/2015 02:56 AM - Dominic Cleal

- Has duplicate Bug #12653: network interfaces does not get updated for vmware when provisioning a host added

#10 - 12/02/2015 03:05 PM - Bryan Kearney

- Bugzilla link changed from 1163376 to 1273400
#11 - 03/22/2016 07:33 AM - Angelo Lisco

Hi Dominic, I think #13281 it's a duplicate of this one.

#12 - 01/17/2017 10:48 AM - Chris Roberts

- Assignee set to Chris Roberts

#13 - 05/20/2017 10:44 AM - Anonymous

Chris, what's the status here?

#14 - 05/22/2017 09:59 AM - Chris Roberts

Michael, I have not started on this sorry.

#15 - 05/22/2017 10:02 AM - Anonymous

- Assignee deleted (Chris Roberts)

#16 - 10/17/2017 03:25 AM - Chris Roberts

- Assignee set to Chris Roberts

#17 - 11/15/2017 12:37 PM - Timo Goebel

This is because we store the compute_attributes in Foreman's database and do not use the correct / more-up-to-date data from fog.

#18 - 11/15/2017 02:27 PM - Chris Roberts

- Assignee deleted (Chris Roberts)

#19 - 01/15/2019 09:30 PM - Chris Roberts

- Assignee set to Chris Roberts
